API specs
Secrets Vault OIDC Service (0.1.0)
Download OpenAPI specification:Download
Secrets Vault OpenID Connect service with image-based Zero-Knowledge Proof authentication
Register
query Parameters
Auth Req Id (string) or Auth Req Id (null) (Auth Req Id) |
Request Body schema: application/jsonrequired
| username required | string (Username) ^[a-zA-Z0-9_.@-]+$ |
| email required | string <email> (Email) |
| encrypted_commitment required | string (Encrypted Commitment) |
| proto_version required | string (Proto Version) |
LogData (object) or null |
Responses
Request samples
- Payload
Content type
application/json
{- "username": "string",
- "email": "user@example.com",
- "encrypted_commitment": "string",
- "proto_version": "string",
- "log_data": {
- "status": "string",
- "similarity": 0,
- "evidence": {
- "totalSteps": 0,
- "stepsPassed": 0,
- "stepsFailed": 0,
- "facesDetectedMax": 0,
- "timing": {
- "totalChallengeDurationMs": 0,
- "recognitionPhaseDurationMs": 0,
- "livenessPhaseDurationMs": 0,
- "comparisonPhaseDurationMs": 0
}, - "detailedStepResults": [
- null
], - "antiSpoofingTriggers": [
- "string"
], - "gestureCounts": { },
- "greenEntryCount": 0,
- "environment": {
- "platform": "string",
- "cameraResolution": "string",
- "cameraLabel": "string",
- "fps": 0,
- "browser": {
- "userAgent": "string",
- "language": "string",
- "hardwareConcurrency": 0,
- "deviceMemory": 0
}, - "deviceDetection": { }
}
}
}
}Response samples
- 201
- 422
Content type
application/json
nullGet Challenge
query Parameters
Auth Req Id (string) or Auth Req Id (null) (Auth Req Id) |
Request Body schema: application/jsonrequired
| username required | string (Username) |
| cipherKey required | string (Cipherkey) |
Responses
Request samples
- Payload
Content type
application/json
{- "username": "string",
- "cipherKey": "string"
}Response samples
- 200
- 422
Content type
application/json
{- "challenge_data": "string",
- "proto_version": "string"
}Authenticate
query Parameters
Auth Req Id (string) or Auth Req Id (null) (Auth Req Id) |
Request Body schema: application/jsonrequired
| username required | string (Username) |
| cipherKey required | string (Cipherkey) |
| challenge_id required | string (Challenge Id) |
| challenge_data required | string (Challenge Data) |
BERForm (object) or null | |
LogData (object) or null |
Responses
Request samples
- Payload
Content type
application/json
{- "username": "string",
- "cipherKey": "string",
- "challenge_id": "string",
- "challenge_data": "string",
- "ber": {
- "ber": {
- "count_bits": 0,
- "error_bits": 0,
- "BER_PERCENT": "string"
}, - "image_dim": [
- 0,
- 0
], - "algorithm_version": "string"
}, - "log_data": {
- "status": "string",
- "similarity": 0,
- "evidence": {
- "totalSteps": 0,
- "stepsPassed": 0,
- "stepsFailed": 0,
- "facesDetectedMax": 0,
- "timing": {
- "totalChallengeDurationMs": 0,
- "recognitionPhaseDurationMs": 0,
- "livenessPhaseDurationMs": 0,
- "comparisonPhaseDurationMs": 0
}, - "detailedStepResults": [
- null
], - "antiSpoofingTriggers": [
- "string"
], - "gestureCounts": { },
- "greenEntryCount": 0,
- "environment": {
- "platform": "string",
- "cameraResolution": "string",
- "cameraLabel": "string",
- "fps": 0,
- "browser": {
- "userAgent": "string",
- "language": "string",
- "hardwareConcurrency": 0,
- "deviceMemory": 0
}, - "deviceDetection": { }
}
}
}
}Response samples
- 200
- 422
Content type
application/json
{- "nonce": "string",
- "need_verify": false
}Oidc Logout Redirect
query Parameters
required | Id Token Hint (string) or Id Token Hint (null) (Id Token Hint) |
State (string) or State (null) (State) | |
Post Logout Redirect Uri (string) or Post Logout Redirect Uri (null) (Post Logout Redirect Uri) | |
Client Id (string) or Client Id (null) (Client Id) |
Responses
Response samples
- 200
- 422
Content type
application/json
nullOidc Logout
Request Body schema: application/x-www-form-urlencodedrequired
| id_token_hint required | string (Id Token Hint) |
State (string) or State (null) (State) | |
Post Logout Redirect Uri (string) or Post Logout Redirect Uri (null) (Post Logout Redirect Uri) | |
Client Id (string) or Client Id (null) (Client Id) |
Responses
Response samples
- 200
- 422
Content type
application/json
nullResponse samples
- 200
Content type
application/json
{- "sessions": [
- {
- "session_id": "string",
- "user_id": "string",
- "tenant_id": "string",
- "created": {
- "at": "2019-08-24T14:15:22Z",
- "ip": "string",
- "country": "string",
- "user_agent": "string",
- "user_agent_parsed": {
- "browser": {
- "family": "string",
- "version": "string"
}, - "os": {
- "family": "string",
- "version": "string"
}, - "device": {
- "family": "string",
- "brand": "string",
- "model": "string"
}, - "is_mobile": false,
- "is_tablet": false,
- "is_pc": false,
- "is_bot": false
}
}, - "expires_at": "2019-08-24T14:15:22Z",
- "token_issue": {
- "at": "2019-08-24T14:15:22Z",
- "ip": "string",
- "country": "string",
- "user_agent": "string",
- "user_agent_parsed": {
- "browser": {
- "family": "string",
- "version": "string"
}, - "os": {
- "family": "string",
- "version": "string"
}, - "device": {
- "family": "string",
- "brand": "string",
- "model": "string"
}, - "is_mobile": false,
- "is_tablet": false,
- "is_pc": false,
- "is_bot": false
}
}, - "last_access": {
- "at": "2019-08-24T14:15:22Z",
- "ip": "string",
- "country": "string",
- "user_agent": "string",
- "user_agent_parsed": {
- "browser": {
- "family": "string",
- "version": "string"
}, - "os": {
- "family": "string",
- "version": "string"
}, - "device": {
- "family": "string",
- "brand": "string",
- "model": "string"
}, - "is_mobile": false,
- "is_tablet": false,
- "is_pc": false,
- "is_bot": false
}
}
}
], - "total": 0
}Get Client
query Parameters
| client_id required | string (Client Id) |
| tenant_id required | any (Tenant Id) |
Responses
Response samples
- 200
- 422
Content type
application/json
{- "client_id": "string",
- "name": "string",
- "tenant_id": "string",
- "logo_uri": "string",
- "op_policy_url": "string",
- "op_tos_url": "string",
- "op_user_agreement_url": "string",
- "client_uri": "string",
- "client_logout_uri": "string",
- "register_enable": false,
- "tenant_name": "string",
- "has_profile": false
}Get Client Tenant
query Parameters
| client_id required | string (Client Id) |
| tenant_id required | any (Tenant Id) |
Responses
Response samples
- 200
- 422
Content type
application/json
{- "client": {
- "client_id": "string",
- "name": "string",
- "tenant_id": "string",
- "logo_uri": "string",
- "op_policy_url": "string",
- "op_tos_url": "string",
- "op_user_agreement_url": "string",
- "client_uri": "string",
- "client_logout_uri": "string",
- "register_enable": false,
- "tenant_name": "string",
- "has_profile": false
}, - "tenant": {
- "tenant_id": "string",
- "register_enable": false,
- "use_pin": true,
- "pin_size": 6,
- "use_pattern": true,
- "patter_size": 3,
- "use_face_recognition": false,
- "use_liveness": false,
- "display_name": "",
- "show_pin_when_typing": true,
- "login_order": [
- "PIN"
], - "passkey_enabled": false,
- "has_username_and_email": true,
- "liveness_config": {
- "number_steps_min": 4,
- "number_steps_max": 6,
- "duration_in_seconds": 10,
- "number_of_allowed_failures": 1,
- "gesture_set": [
- "string"
], - "number_blinks_max": 0,
- "number_blinks_min": 10000
}
}
}Request Reset Password
query Parameters
| client_id required | string (Client Id) |
| tenant_id required | string (Tenant Id) |
Request Body schema: application/jsonrequired
| username required | string (Username) |
| email required | string (Email) |
Responses
Request samples
- Payload
Content type
application/json
{- "username": "string",
- "email": "string"
}Response samples
- 200
- 422
Content type
application/json
nullReset Password Code
Request Body schema: application/jsonrequired
| code required | string (Code) |
| username required | string (Username) |
| encrypted_commitment required | string (Encrypted Commitment) |
| proto_version required | string (Proto Version) |
LogData (object) or null |
Responses
Request samples
- Payload
Content type
application/json
{- "code": "string",
- "username": "string",
- "encrypted_commitment": "string",
- "proto_version": "string",
- "log_data": {
- "status": "string",
- "similarity": 0,
- "evidence": {
- "totalSteps": 0,
- "stepsPassed": 0,
- "stepsFailed": 0,
- "facesDetectedMax": 0,
- "timing": {
- "totalChallengeDurationMs": 0,
- "recognitionPhaseDurationMs": 0,
- "livenessPhaseDurationMs": 0,
- "comparisonPhaseDurationMs": 0
}, - "detailedStepResults": [
- null
], - "antiSpoofingTriggers": [
- "string"
], - "gestureCounts": { },
- "greenEntryCount": 0,
- "environment": {
- "platform": "string",
- "cameraResolution": "string",
- "cameraLabel": "string",
- "fps": 0,
- "browser": {
- "userAgent": "string",
- "language": "string",
- "hardwareConcurrency": 0,
- "deviceMemory": 0
}, - "deviceDetection": { }
}
}
}
}Response samples
- 200
- 422
Content type
application/json
nullChange Password
Authorizations:
APIKeyHeaderHTTPBearer
Request Body schema: application/jsonrequired
| encrypted_commitment required | string (Encrypted Commitment) |
| proto_version required | string (Proto Version) |
LogData (object) or null |
Responses
Request samples
- Payload
Content type
application/json
{- "encrypted_commitment": "string",
- "proto_version": "string",
- "log_data": {
- "status": "string",
- "similarity": 0,
- "evidence": {
- "totalSteps": 0,
- "stepsPassed": 0,
- "stepsFailed": 0,
- "facesDetectedMax": 0,
- "timing": {
- "totalChallengeDurationMs": 0,
- "recognitionPhaseDurationMs": 0,
- "livenessPhaseDurationMs": 0,
- "comparisonPhaseDurationMs": 0
}, - "detailedStepResults": [
- null
], - "antiSpoofingTriggers": [
- "string"
], - "gestureCounts": { },
- "greenEntryCount": 0,
- "environment": {
- "platform": "string",
- "cameraResolution": "string",
- "cameraLabel": "string",
- "fps": 0,
- "browser": {
- "userAgent": "string",
- "language": "string",
- "hardwareConcurrency": 0,
- "deviceMemory": 0
}, - "deviceDetection": { }
}
}
}
}Response samples
- 200
- 422
Content type
application/json
nullToken Exchange
Request Body schema: application/x-www-form-urlencodedrequired
| client_id required | string (Client Id) |
| grant_type required | string (Grant Type) |
| tenant_id required | string (Tenant Id) |
Client Secret (string) or Client Secret (null) (Client Secret) | |
Redirect Uri (string) or Redirect Uri (null) (Redirect Uri) | |
Code (string) or Code (null) (Code) | |
Refresh Token (string) or Refresh Token (null) (Refresh Token) | |
Code Verifier (string) or Code Verifier (null) (Code Verifier) |
Responses
Response samples
- 200
- 422
Content type
application/json
{- "access_token": "string",
- "refresh_token": "string",
- "id_token": "string",
- "token_type": "Bearer",
- "expires_in": 0
}Token Exchange
path Parameters
| tenant_id required | string (Tenant Id) |
Request Body schema: application/x-www-form-urlencodedrequired
| client_id required | string (Client Id) |
| grant_type required | string (Grant Type) |
Client Secret (string) or Client Secret (null) (Client Secret) | |
Redirect Uri (string) or Redirect Uri (null) (Redirect Uri) | |
Code (string) or Code (null) (Code) | |
Refresh Token (string) or Refresh Token (null) (Refresh Token) | |
Code Verifier (string) or Code Verifier (null) (Code Verifier) |
Responses
Response samples
- 200
- 422
Content type
application/json
{- "access_token": "string",
- "refresh_token": "string",
- "id_token": "string",
- "token_type": "Bearer",
- "expires_in": 0
}Token Exchange Standard
path Parameters
| tenant_id required | string (Tenant Id) |
Request Body schema: application/x-www-form-urlencodedrequired
| client_id required | string (Client Id) |
| grant_type required | string (Grant Type) |
Client Secret (string) or Client Secret (null) (Client Secret) | |
Redirect Uri (string) or Redirect Uri (null) (Redirect Uri) | |
Code (string) or Code (null) (Code) | |
Refresh Token (string) or Refresh Token (null) (Refresh Token) | |
Code Verifier (string) or Code Verifier (null) (Code Verifier) |
Responses
Response samples
- 200
- 422
Content type
application/json
{- "access_token": "string",
- "refresh_token": "string",
- "id_token": "string",
- "token_type": "Bearer",
- "expires_in": 0
}Response samples
- 200
Content type
application/json
{- "user_id": "string",
- "username": "string",
- "email": "user@example.com",
- "tenant_id": "string",
- "is_disabled": false,
- "is_verified": false,
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "locale": "string",
- "roles": [
- "string"
], - "external_id": "string"
}List Users
Authorizations:
APIKeyHeaderHTTPBearer
path Parameters
| tenant_id required | string (Tenant Id) |
query Parameters
| username | string (Username) <= 128 characters Default: "" |
string (Email) <= 128 characters Default: "" | |
| limit | integer (Limit) ( 0 .. 500 ] Default: 10 |
| offset | integer (Offset) >= 0 Default: 0 |
| sort_direction | integer (Sort Direction) [ -1 .. 1 ] Default: -1 |
| sort_by | string (UserSortField) Default: "created_at" Enum: "created_at" "username" "email" |
Responses
Response samples
- 200
- 422
Content type
application/json
{- "data": [
- {
- "user_id": "string",
- "username": "string",
- "email": "user@example.com",
- "tenant_id": "string",
- "is_disabled": false,
- "is_verified": false,
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "locale": "string",
- "roles": [
- "string"
], - "external_id": "string"
}
], - "has_next": true,
- "total_count": 0
}Get User By Name
Authorizations:
APIKeyHeaderHTTPBearer
path Parameters
| tenant_id required | string (Tenant Id) |
| username required | string (Username) <= 128 characters |
Responses
Response samples
- 200
- 422
Content type
application/json
{- "user_id": "string",
- "username": "string",
- "email": "user@example.com",
- "tenant_id": "string",
- "is_disabled": false,
- "is_verified": false,
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "locale": "string",
- "roles": [
- "string"
], - "external_id": "string"
}Get User
Authorizations:
APIKeyHeaderHTTPBearer
path Parameters
| tenant_id required | string (Tenant Id) |
| user_id required | string (User Id) |
Responses
Response samples
- 200
- 422
Content type
application/json
{- "user_id": "string",
- "username": "string",
- "email": "user@example.com",
- "tenant_id": "string",
- "is_disabled": false,
- "is_verified": false,
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "locale": "string",
- "roles": [
- "string"
], - "external_id": "string"
}Update User
Authorizations:
APIKeyHeaderHTTPBearer
path Parameters
| user_id required | string (User Id) |
| tenant_id required | string (Tenant Id) |
Request Body schema: application/jsonrequired
| user_id required | string (User Id) |
| username required | string (Username) [ 1 .. 128 ] characters |
| email required | string <email> (Email) |
| tenant_id required | string (Tenant Id) |
| is_disabled | boolean (Is Disabled) Default: false |
| is_verified | boolean (Is Verified) Default: false |
| created_at | string <date-time> (Created At) |
Updated At (string) or Updated At (null) (Updated At) | |
Locale (string) or Locale (null) (Locale) | |
Array of Roles (strings) or Roles (null) (Roles) | |
External Id (string) or External Id (null) (External Id) |
Responses
Request samples
- Payload
Content type
application/json
{- "user_id": "string",
- "username": "string",
- "email": "user@example.com",
- "tenant_id": "string",
- "is_disabled": false,
- "is_verified": false,
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "locale": "string",
- "roles": [
- "string"
], - "external_id": "string"
}Response samples
- 200
- 422
Content type
application/json
{- "user_id": "string",
- "username": "string",
- "email": "user@example.com",
- "tenant_id": "string",
- "is_disabled": false,
- "is_verified": false,
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "locale": "string",
- "roles": [
- "string"
], - "external_id": "string"
}Create User
Authorizations:
APIKeyHeaderHTTPBearer
path Parameters
| tenant_id required | string (Tenant Id) |
Request Body schema: application/jsonrequired
| user_id required | string (User Id) |
| username required | string (Username) [ 1 .. 128 ] characters |
| email required | string <email> (Email) |
| tenant_id required | string (Tenant Id) |
| is_disabled | boolean (Is Disabled) Default: false |
| is_verified | boolean (Is Verified) Default: false |
| created_at | string <date-time> (Created At) |
Updated At (string) or Updated At (null) (Updated At) | |
Locale (string) or Locale (null) (Locale) | |
Array of Roles (strings) or Roles (null) (Roles) | |
External Id (string) or External Id (null) (External Id) |
Responses
Request samples
- Payload
Content type
application/json
{- "user_id": "string",
- "username": "string",
- "email": "user@example.com",
- "tenant_id": "string",
- "is_disabled": false,
- "is_verified": false,
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "locale": "string",
- "roles": [
- "string"
], - "external_id": "string"
}Response samples
- 201
- 422
Content type
application/json
{- "user_id": "string",
- "username": "string",
- "email": "user@example.com",
- "tenant_id": "string",
- "is_disabled": false,
- "is_verified": false,
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "locale": "string",
- "roles": [
- "string"
], - "external_id": "string"
}Batch Create User
Authorizations:
APIKeyHeaderHTTPBearer
path Parameters
| tenant_id required | string (Tenant Id) |
Request Body schema: application/jsonrequired
required | Array of objects (Users) | ||||||||||||||||||||||
Array
| |||||||||||||||||||||||
Responses
Request samples
- Payload
Content type
application/json
{- "users": [
- {
- "user_id": "string",
- "username": "string",
- "email": "user@example.com",
- "tenant_id": "string",
- "is_disabled": false,
- "is_verified": false,
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "locale": "string",
- "roles": [
- "string"
], - "external_id": "string"
}
]
}Response samples
- 201
- 422
Content type
application/json
{- "success_created_count": 0,
- "fail_create_usernames": [
- "string"
], - "duplicate_usernames": [
- "string"
]
}Batch Delete User
Authorizations:
APIKeyHeaderHTTPBearer
path Parameters
| tenant_id required | string (Tenant Id) |
Request Body schema: application/jsonrequired
| users_ids required | Array of strings (Users Ids) |
Responses
Request samples
- Payload
Content type
application/json
{- "users_ids": [
- "string"
]
}Response samples
- 201
- 422
Content type
application/json
nullCreate User Key
Authorizations:
APIKeyHeaderHTTPBearer
Request Body schema: application/jsonrequired
| name required | string (Name) |
| scopes required | Array of strings (Scopes) |
| tenant_id required | string (Tenant Id) |
Responses
Request samples
- Payload
Content type
application/json
{- "name": "string",
- "scopes": [
- "string"
], - "tenant_id": "string"
}Response samples
- 201
- 422
Content type
application/json
{- "key_id": "string",
- "key_hash": "string",
- "user_id": "string",
- "tenant_id": "string",
- "created_at": {
- "at": "2019-08-24T14:15:22Z",
- "ip": "string",
- "country": "string",
- "user_agent": "string",
- "user_agent_parsed": {
- "browser": {
- "family": "string",
- "version": "string"
}, - "os": {
- "family": "string",
- "version": "string"
}, - "device": {
- "family": "string",
- "brand": "string",
- "model": "string"
}, - "is_mobile": false,
- "is_tablet": false,
- "is_pc": false,
- "is_bot": false
}
}, - "name": "",
- "scopes": [
- "string"
], - "last_use_at": {
- "at": "2019-08-24T14:15:22Z",
- "ip": "string",
- "country": "string",
- "user_agent": "string",
- "user_agent_parsed": {
- "browser": {
- "family": "string",
- "version": "string"
}, - "os": {
- "family": "string",
- "version": "string"
}, - "device": {
- "family": "string",
- "brand": "string",
- "model": "string"
}, - "is_mobile": false,
- "is_tablet": false,
- "is_pc": false,
- "is_bot": false
}
}, - "is_active": true,
- "api_key": "string"
}Response samples
- 200
Content type
application/json
{- "api_keys": [
- {
- "key_id": "string",
- "key_hash": "string",
- "user_id": "string",
- "tenant_id": "string",
- "created_at": {
- "at": "2019-08-24T14:15:22Z",
- "ip": "string",
- "country": "string",
- "user_agent": "string",
- "user_agent_parsed": {
- "browser": {
- "family": "string",
- "version": "string"
}, - "os": {
- "family": "string",
- "version": "string"
}, - "device": {
- "family": "string",
- "brand": "string",
- "model": "string"
}, - "is_mobile": false,
- "is_tablet": false,
- "is_pc": false,
- "is_bot": false
}
}, - "name": "",
- "scopes": [
- "string"
], - "last_use_at": {
- "at": "2019-08-24T14:15:22Z",
- "ip": "string",
- "country": "string",
- "user_agent": "string",
- "user_agent_parsed": {
- "browser": {
- "family": "string",
- "version": "string"
}, - "os": {
- "family": "string",
- "version": "string"
}, - "device": {
- "family": "string",
- "brand": "string",
- "model": "string"
}, - "is_mobile": false,
- "is_tablet": false,
- "is_pc": false,
- "is_bot": false
}
}, - "is_active": true,
- "username": ""
}
]
}Regenerate Api Key
Authorizations:
APIKeyHeaderHTTPBearer
path Parameters
| key_id required | string (Key Id) |
Responses
Response samples
- 200
- 422
Content type
application/json
{- "key_id": "string",
- "key_hash": "string",
- "user_id": "string",
- "tenant_id": "string",
- "created_at": {
- "at": "2019-08-24T14:15:22Z",
- "ip": "string",
- "country": "string",
- "user_agent": "string",
- "user_agent_parsed": {
- "browser": {
- "family": "string",
- "version": "string"
}, - "os": {
- "family": "string",
- "version": "string"
}, - "device": {
- "family": "string",
- "brand": "string",
- "model": "string"
}, - "is_mobile": false,
- "is_tablet": false,
- "is_pc": false,
- "is_bot": false
}
}, - "name": "",
- "scopes": [
- "string"
], - "last_use_at": {
- "at": "2019-08-24T14:15:22Z",
- "ip": "string",
- "country": "string",
- "user_agent": "string",
- "user_agent_parsed": {
- "browser": {
- "family": "string",
- "version": "string"
}, - "os": {
- "family": "string",
- "version": "string"
}, - "device": {
- "family": "string",
- "brand": "string",
- "model": "string"
}, - "is_mobile": false,
- "is_tablet": false,
- "is_pc": false,
- "is_bot": false
}
}, - "is_active": true,
- "api_key": "string"
}Response samples
- 200
Content type
application/json
{- "passkeys": [
- {
- "id": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "name": "string",
- "last_use": {
- "date": "2019-08-24T14:15:22Z",
- "ip": "string",
- "country": "string",
- "user_agent": "string"
}
}
]
}Update Passkey
Authorizations:
APIKeyHeaderHTTPBearer
path Parameters
| key_id required | string (Key Id) |
Request Body schema: application/jsonrequired
| name required | string (Name) |
Responses
Request samples
- Payload
Content type
application/json
{- "name": "string"
}Response samples
- 200
- 422
Content type
application/json
nullUpdate Email
Authorizations:
APIKeyHeaderHTTPBearer
path Parameters
| user_id required | string (User Id) |
| tenant_id required | string (Tenant Id) |
Request Body schema: application/jsonrequired
| challenge_id required | string (Challenge Id) |
| challenge_data required | string (Challenge Data) |
| email required | string (Email) |
Responses
Request samples
- Payload
Content type
application/json
{- "challenge_id": "string",
- "challenge_data": "string",
- "email": "string"
}Response samples
- 200
- 422
Content type
application/json
nullRead Clients
Authorizations:
APIKeyHeaderHTTPBearer
query Parameters
| tenant_id required | string (Tenant Id) |
| skip | integer (Skip) Default: 0 |
| limit | integer (Limit) Default: 100 |
Responses
Response samples
- 200
- 422
Content type
application/json
{- "clients": [
- {
- "client_id": "string",
- "name": "string",
- "tenant_id": "string",
- "redirect_uris": [
- "string"
], - "post_logout_redirect_uri": [
- "string"
], - "allowed_scopes": [
- "string"
], - "token_endpoint_auth_method": "client_secret_post",
- "logo_uri": "string",
- "op_policy_url": "string",
- "op_tos_url": "string",
- "op_user_agreement_url": "string",
- "client_uri": "string",
- "client_logout_uri": "string",
- "register_enable": false,
- "tenant_name": "string",
- "client_secret": "string",
- "client_type": "public",
- "is_lock": false,
- "sing_alg": "RS256",
- "flow": {
- "type": "microsoft-mfa",
- "issuer": "string"
}
}
]
}Create Client
Authorizations:
APIKeyHeaderHTTPBearer
Request Body schema: application/jsonrequired
| client_id required | string (Client Id) |
| name required | string (Name) |
| tenant_id required | string (Tenant Id) |
| redirect_uris | Array of strings (Redirect Uris) |
| post_logout_redirect_uri | Array of strings (Post Logout Redirect Uri) |
| allowed_scopes | Array of strings (Allowed Scopes) |
| token_endpoint_auth_method | string (Token Endpoint Auth Method) Default: "client_secret_post" Value: "client_secret_post" |
Logo Uri (string) or Logo Uri (null) (Logo Uri) | |
Op Policy Url (string) or Op Policy Url (null) (Op Policy Url) | |
Op Tos Url (string) or Op Tos Url (null) (Op Tos Url) | |
Op User Agreement Url (string) or Op User Agreement Url (null) (Op User Agreement Url) | |
Client Uri (string) or Client Uri (null) (Client Uri) | |
Client Logout Uri (string) or Client Logout Uri (null) (Client Logout Uri) | |
| register_enable | boolean (Register Enable) Default: false |
Tenant Name (string) or Tenant Name (null) (Tenant Name) | |
Client Secret (string) or Client Secret (null) (Client Secret) | |
| client_type | string (ClientType) Default: "confidential" Enum: "public" "confidential" |
| is_lock | boolean (Is Lock) Default: false |
| sing_alg | string (AvailableSingAlg) Default: "EdDSA" Enum: "RS256" "EdDSA" |
ClientFlow (object) or null |
Responses
Request samples
- Payload
Content type
application/json
{- "client_id": "string",
- "name": "string",
- "tenant_id": "string",
- "redirect_uris": [
- "string"
], - "post_logout_redirect_uri": [
- "string"
], - "allowed_scopes": [
- "string"
], - "token_endpoint_auth_method": "client_secret_post",
- "logo_uri": "string",
- "op_policy_url": "string",
- "op_tos_url": "string",
- "op_user_agreement_url": "string",
- "client_uri": "string",
- "client_logout_uri": "string",
- "register_enable": false,
- "tenant_name": "string",
- "client_secret": "string",
- "client_type": "public",
- "is_lock": false,
- "sing_alg": "RS256",
- "flow": {
- "type": "microsoft-mfa",
- "issuer": "string"
}
}Response samples
- 200
- 422
Content type
application/json
{- "client_id": "string",
- "name": "string",
- "tenant_id": "string",
- "redirect_uris": [
- "string"
], - "post_logout_redirect_uri": [
- "string"
], - "allowed_scopes": [
- "string"
], - "token_endpoint_auth_method": "client_secret_post",
- "logo_uri": "string",
- "op_policy_url": "string",
- "op_tos_url": "string",
- "op_user_agreement_url": "string",
- "client_uri": "string",
- "client_logout_uri": "string",
- "register_enable": false,
- "tenant_name": "string",
- "client_secret": "string",
- "client_type": "public",
- "is_lock": false,
- "sing_alg": "RS256",
- "flow": {
- "type": "microsoft-mfa",
- "issuer": "string"
}
}Update Client
Authorizations:
APIKeyHeaderHTTPBearer
path Parameters
| client_id required | string (Client Id) |
Request Body schema: application/jsonrequired
| client_id required | string (Client Id) |
| name required | string (Name) |
| tenant_id required | string (Tenant Id) |
| redirect_uris | Array of strings (Redirect Uris) |
| post_logout_redirect_uri | Array of strings (Post Logout Redirect Uri) |
| allowed_scopes | Array of strings (Allowed Scopes) |
| token_endpoint_auth_method | string (Token Endpoint Auth Method) Default: "client_secret_post" Value: "client_secret_post" |
Logo Uri (string) or Logo Uri (null) (Logo Uri) | |
Op Policy Url (string) or Op Policy Url (null) (Op Policy Url) | |
Op Tos Url (string) or Op Tos Url (null) (Op Tos Url) | |
Op User Agreement Url (string) or Op User Agreement Url (null) (Op User Agreement Url) | |
Client Uri (string) or Client Uri (null) (Client Uri) | |
Client Logout Uri (string) or Client Logout Uri (null) (Client Logout Uri) | |
| register_enable | boolean (Register Enable) Default: false |
Tenant Name (string) or Tenant Name (null) (Tenant Name) | |
Client Secret (string) or Client Secret (null) (Client Secret) | |
| client_type | string (ClientType) Default: "confidential" Enum: "public" "confidential" |
| is_lock | boolean (Is Lock) Default: false |
| sing_alg | string (AvailableSingAlg) Default: "EdDSA" Enum: "RS256" "EdDSA" |
ClientFlow (object) or null |
Responses
Request samples
- Payload
Content type
application/json
{- "client_id": "string",
- "name": "string",
- "tenant_id": "string",
- "redirect_uris": [
- "string"
], - "post_logout_redirect_uri": [
- "string"
], - "allowed_scopes": [
- "string"
], - "token_endpoint_auth_method": "client_secret_post",
- "logo_uri": "string",
- "op_policy_url": "string",
- "op_tos_url": "string",
- "op_user_agreement_url": "string",
- "client_uri": "string",
- "client_logout_uri": "string",
- "register_enable": false,
- "tenant_name": "string",
- "client_secret": "string",
- "client_type": "public",
- "is_lock": false,
- "sing_alg": "RS256",
- "flow": {
- "type": "microsoft-mfa",
- "issuer": "string"
}
}Response samples
- 200
- 422
Content type
application/json
nullCreate User Key
Authorizations:
APIKeyHeaderHTTPBearer
Request Body schema: application/jsonrequired
| name required | string (Name) |
| scopes required | Array of strings (Scopes) |
| tenant_id required | string (Tenant Id) |
Responses
Request samples
- Payload
Content type
application/json
{- "name": "string",
- "scopes": [
- "string"
], - "tenant_id": "string"
}Response samples
- 201
- 422
Content type
application/json
{- "key_id": "string",
- "key_hash": "string",
- "user_id": "string",
- "tenant_id": "string",
- "created_at": {
- "at": "2019-08-24T14:15:22Z",
- "ip": "string",
- "country": "string",
- "user_agent": "string",
- "user_agent_parsed": {
- "browser": {
- "family": "string",
- "version": "string"
}, - "os": {
- "family": "string",
- "version": "string"
}, - "device": {
- "family": "string",
- "brand": "string",
- "model": "string"
}, - "is_mobile": false,
- "is_tablet": false,
- "is_pc": false,
- "is_bot": false
}
}, - "name": "",
- "scopes": [
- "string"
], - "last_use_at": {
- "at": "2019-08-24T14:15:22Z",
- "ip": "string",
- "country": "string",
- "user_agent": "string",
- "user_agent_parsed": {
- "browser": {
- "family": "string",
- "version": "string"
}, - "os": {
- "family": "string",
- "version": "string"
}, - "device": {
- "family": "string",
- "brand": "string",
- "model": "string"
}, - "is_mobile": false,
- "is_tablet": false,
- "is_pc": false,
- "is_bot": false
}
}, - "is_active": true,
- "api_key": "string"
}List User Keys
Authorizations:
APIKeyHeaderHTTPBearer
query Parameters
| tenant_id required | string (Tenant Id) |
Responses
Response samples
- 200
- 422
Content type
application/json
{- "api_keys": [
- {
- "key_id": "string",
- "key_hash": "string",
- "user_id": "string",
- "tenant_id": "string",
- "created_at": {
- "at": "2019-08-24T14:15:22Z",
- "ip": "string",
- "country": "string",
- "user_agent": "string",
- "user_agent_parsed": {
- "browser": {
- "family": "string",
- "version": "string"
}, - "os": {
- "family": "string",
- "version": "string"
}, - "device": {
- "family": "string",
- "brand": "string",
- "model": "string"
}, - "is_mobile": false,
- "is_tablet": false,
- "is_pc": false,
- "is_bot": false
}
}, - "name": "",
- "scopes": [
- "string"
], - "last_use_at": {
- "at": "2019-08-24T14:15:22Z",
- "ip": "string",
- "country": "string",
- "user_agent": "string",
- "user_agent_parsed": {
- "browser": {
- "family": "string",
- "version": "string"
}, - "os": {
- "family": "string",
- "version": "string"
}, - "device": {
- "family": "string",
- "brand": "string",
- "model": "string"
}, - "is_mobile": false,
- "is_tablet": false,
- "is_pc": false,
- "is_bot": false
}
}, - "is_active": true,
- "username": ""
}
]
}Regenerate Api Key
Authorizations:
APIKeyHeaderHTTPBearer
path Parameters
| key_id required | string (Key Id) |
Responses
Response samples
- 200
- 422
Content type
application/json
{- "key_id": "string",
- "key_hash": "string",
- "user_id": "string",
- "tenant_id": "string",
- "created_at": {
- "at": "2019-08-24T14:15:22Z",
- "ip": "string",
- "country": "string",
- "user_agent": "string",
- "user_agent_parsed": {
- "browser": {
- "family": "string",
- "version": "string"
}, - "os": {
- "family": "string",
- "version": "string"
}, - "device": {
- "family": "string",
- "brand": "string",
- "model": "string"
}, - "is_mobile": false,
- "is_tablet": false,
- "is_pc": false,
- "is_bot": false
}
}, - "name": "",
- "scopes": [
- "string"
], - "last_use_at": {
- "at": "2019-08-24T14:15:22Z",
- "ip": "string",
- "country": "string",
- "user_agent": "string",
- "user_agent_parsed": {
- "browser": {
- "family": "string",
- "version": "string"
}, - "os": {
- "family": "string",
- "version": "string"
}, - "device": {
- "family": "string",
- "brand": "string",
- "model": "string"
}, - "is_mobile": false,
- "is_tablet": false,
- "is_pc": false,
- "is_bot": false
}
}, - "is_active": true,
- "api_key": "string"
}Response samples
- 200
Content type
application/json
{- "tenants": [
- {
- "tenant_id": "string",
- "register_enable": false,
- "is_2fa": false,
- "use_pin": true,
- "pin_size": 6,
- "use_pattern": true,
- "patter_size": 3,
- "use_face_recognition": false,
- "use_liveness": false,
- "display_name": "",
- "show_pin_when_typing": true,
- "block_config": {
- "ip_attempts_limit": 5,
- "ip_attempts_reset_minutes": 10080,
- "user_attempts_limit": 15,
- "user_timeframe_seconds": 300,
- "initial_block_seconds": 60,
- "max_block_time_minutes": 2880
}, - "login_order": [
- "PIN"
], - "passkey_enabled": false,
- "has_username_and_email": true,
- "liveness_config": {
- "number_steps_min": 4,
- "number_steps_max": 6,
- "duration_in_seconds": 10,
- "number_of_allowed_failures": 1,
- "gesture_set": [
- "string"
], - "number_blinks_max": 0,
- "number_blinks_min": 10000
}
}
]
}Create Tenant
Authorizations:
APIKeyHeaderHTTPBearer
Request Body schema: application/jsonrequired
| tenant_id required | string (Tenant Id) |
| register_enable | boolean (Register Enable) Default: false |
| is_2fa | boolean (Is 2Fa) Default: false |
| use_pin | boolean (Use Pin) Default: true |
| pin_size | integer (Pin Size) Default: 6 |
| use_pattern | boolean (Use Pattern) Default: true |
| patter_size | integer (Patter Size) Default: 3 |
| use_face_recognition | boolean (Use Face Recognition) Default: false |
| use_liveness | boolean (Use Liveness) Default: false |
| display_name | string (Display Name) Default: "" |
| show_pin_when_typing | boolean (Show Pin When Typing) Default: true |
object (BlockConfig) | |
| login_order | Array of strings (Login Order) Items Enum: "PIN" "PATTERN" |
| passkey_enabled | boolean (Passkey Enabled) Default: false |
| has_username_and_email | boolean (Has Username And Email) Default: true |
LivenessConfig (object) or null |
Responses
Request samples
- Payload
Content type
application/json
{- "tenant_id": "string",
- "register_enable": false,
- "is_2fa": false,
- "use_pin": true,
- "pin_size": 6,
- "use_pattern": true,
- "patter_size": 3,
- "use_face_recognition": false,
- "use_liveness": false,
- "display_name": "",
- "show_pin_when_typing": true,
- "block_config": {
- "ip_attempts_limit": 5,
- "ip_attempts_reset_minutes": 10080,
- "user_attempts_limit": 15,
- "user_timeframe_seconds": 300,
- "initial_block_seconds": 60,
- "max_block_time_minutes": 2880
}, - "login_order": [
- "PIN"
], - "passkey_enabled": false,
- "has_username_and_email": true,
- "liveness_config": {
- "number_steps_min": 4,
- "number_steps_max": 6,
- "duration_in_seconds": 10,
- "number_of_allowed_failures": 1,
- "gesture_set": [
- "string"
], - "number_blinks_max": 0,
- "number_blinks_min": 10000
}
}Response samples
- 201
- 422
Content type
application/json
nullBlocked Ips
Authorizations:
APIKeyHeaderHTTPBearer
path Parameters
| tenant_id required | string (Tenant Id) |
query Parameters
| page | integer (Page) >= 0 Default: 0 |
| page_size | integer (Page Size) ( 0 .. 500 ] Default: 100 |
| sort_direction | integer (Sort Direction) [ -1 .. 1 ] Default: -1 |
Responses
Response samples
- 200
- 422
Content type
application/json
{- "data": [
- {
- "ip": "string",
- "tenant_id": "string",
- "blocked_at": "2019-08-24T14:15:22Z",
- "block_time_seconds": 0
}
], - "has_next": true,
- "total_count": 0
}Block Users
Authorizations:
APIKeyHeaderHTTPBearer
path Parameters
| tenant_id required | string (Tenant Id) |
query Parameters
| page | integer (Page) >= 0 Default: 0 |
| page_size | integer (Page Size) ( 0 .. 500 ] Default: 100 |
| sort_direction | integer (Sort Direction) [ -1 .. 1 ] Default: -1 |
Responses
Response samples
- 200
- 422
Content type
application/json
{- "data": [
- {
- "user_id": "string",
- "username": "string",
- "email": "string",
- "tenant_id": "string",
- "blocked_at": "2019-08-24T14:15:22Z",
- "block_time_seconds": 0
}
], - "has_next": true,
- "total_count": 0
}Read Tenant
Authorizations:
APIKeyHeaderHTTPBearer
path Parameters
| tenant_id required | string (Tenant Id) |
Responses
Response samples
- 200
- 422
Content type
application/json
{- "tenant_id": "string",
- "register_enable": false,
- "is_2fa": false,
- "use_pin": true,
- "pin_size": 6,
- "use_pattern": true,
- "patter_size": 3,
- "use_face_recognition": false,
- "use_liveness": false,
- "display_name": "",
- "show_pin_when_typing": true,
- "block_config": {
- "ip_attempts_limit": 5,
- "ip_attempts_reset_minutes": 10080,
- "user_attempts_limit": 15,
- "user_timeframe_seconds": 300,
- "initial_block_seconds": 60,
- "max_block_time_minutes": 2880
}, - "login_order": [
- "PIN"
], - "passkey_enabled": false,
- "has_username_and_email": true,
- "liveness_config": {
- "number_steps_min": 4,
- "number_steps_max": 6,
- "duration_in_seconds": 10,
- "number_of_allowed_failures": 1,
- "gesture_set": [
- "string"
], - "number_blinks_max": 0,
- "number_blinks_min": 10000
}
}Update Tenant
Authorizations:
APIKeyHeaderHTTPBearer
path Parameters
| tenant_id required | string (Tenant Id) |
Request Body schema: application/jsonrequired
| register_enable | boolean (Register Enable) Default: false |
| use_pin | boolean (Use Pin) Default: true |
| pin_size | integer (Pin Size) Default: 6 |
| use_pattern | boolean (Use Pattern) Default: true |
| patter_size | integer (Patter Size) Default: 3 |
| use_face_recognition | boolean (Use Face Recognition) Default: false |
| use_liveness | boolean (Use Liveness) Default: false |
| show_pin_when_typing | boolean (Show Pin When Typing) Default: true |
| display_name required | string (Display Name) |
BlockConfig (object) or null | |
Array of Login Order (strings) or Login Order (null) (Login Order) | |
| passkey_enabled | boolean (Passkey Enabled) Default: false |
| has_username_and_email | boolean (Has Username And Email) Default: true |
LivenessConfig (object) or null |
Responses
Request samples
- Payload
Content type
application/json
{- "register_enable": false,
- "use_pin": true,
- "pin_size": 6,
- "use_pattern": true,
- "patter_size": 3,
- "use_face_recognition": false,
- "use_liveness": false,
- "show_pin_when_typing": true,
- "display_name": "string",
- "block_config": {
- "ip_attempts_limit": 5,
- "ip_attempts_reset_minutes": 10080,
- "user_attempts_limit": 15,
- "user_timeframe_seconds": 300,
- "initial_block_seconds": 60,
- "max_block_time_minutes": 2880
}, - "login_order": [
- "PIN"
], - "passkey_enabled": false,
- "has_username_and_email": true,
- "liveness_config": {
- "number_steps_min": 4,
- "number_steps_max": 6,
- "duration_in_seconds": 10,
- "number_of_allowed_failures": 1,
- "gesture_set": [
- "string"
], - "number_blinks_max": 0,
- "number_blinks_min": 10000
}
}Response samples
- 200
- 422
Content type
application/json
nullBlocked Ips
Authorizations:
APIKeyHeaderHTTPBearer
path Parameters
| tenant_id required | string (Tenant Id) |
query Parameters
| page | integer (Page) >= 0 Default: 0 |
| page_size | integer (Page Size) ( 0 .. 500 ] Default: 100 |
| sort_direction | integer (Sort Direction) [ -1 .. 1 ] Default: -1 |
Responses
Response samples
- 200
- 422
Content type
application/json
{- "data": [
- {
- "ip": "string",
- "tenant_id": "string",
- "blocked_at": "2019-08-24T14:15:22Z",
- "block_time_seconds": 0
}
], - "has_next": true,
- "total_count": 0
}Block Users
Authorizations:
APIKeyHeaderHTTPBearer
path Parameters
| tenant_id required | string (Tenant Id) |
query Parameters
| page | integer (Page) >= 0 Default: 0 |
| page_size | integer (Page Size) ( 0 .. 500 ] Default: 100 |
| sort_direction | integer (Sort Direction) [ -1 .. 1 ] Default: -1 |
Responses
Response samples
- 200
- 422
Content type
application/json
{- "data": [
- {
- "user_id": "string",
- "username": "string",
- "email": "string",
- "tenant_id": "string",
- "blocked_at": "2019-08-24T14:15:22Z",
- "block_time_seconds": 0
}
], - "has_next": true,
- "total_count": 0
}Create Scim User
Authorizations:
APIKeyHeaderHTTPBearer
path Parameters
| tenant_id required | string (Tenant Id) |
Request Body schema: application/jsonrequired
| property name* additional property | any |
Responses
Request samples
- Payload
Content type
application/json
{ }Response samples
- 201
- 400
- 401
- 403
- 404
- 409
- 422
- 500
Content type
application/json
{ }List Scim Users
Authorizations:
APIKeyHeaderHTTPBearer
path Parameters
| tenant_id required | string (Tenant Id) |
query Parameters
| startIndex | integer (Startindex) >= 1 Default: 1 |
| count | integer (Count) [ 0 .. 100 ] Default: 100 |
Filter (string) or Filter (null) (Filter) |
Responses
Response samples
- 200
- 400
- 401
- 403
- 404
- 409
- 422
- 500
Content type
application/json
{ }Replace Scim User
Authorizations:
APIKeyHeaderHTTPBearer
path Parameters
| tenant_id required | string (Tenant Id) |
| user_id required | string (User Id) |
Request Body schema: application/jsonrequired
| property name* additional property | any |
Responses
Request samples
- Payload
Content type
application/json
{ }Response samples
- 200
- 400
- 401
- 403
- 404
- 409
- 422
- 500
Content type
application/json
{ }Get Scim User
Authorizations:
APIKeyHeaderHTTPBearer
path Parameters
| tenant_id required | string (Tenant Id) |
| user_id required | string (User Id) |
query Parameters
Attributes (string) or Attributes (null) (Attributes) | |
Excludedattributes (string) or Excludedattributes (null) (Excludedattributes) |
Responses
Response samples
- 200
- 400
- 401
- 403
- 404
- 409
- 422
- 500
Content type
application/json
{ }Patch Scim User
Authorizations:
APIKeyHeaderHTTPBearer
path Parameters
| tenant_id required | string (Tenant Id) |
| user_id required | string (User Id) |
Request Body schema: application/jsonrequired
| property name* additional property | any |
Responses
Request samples
- Payload
Content type
application/json
{ }Response samples
- 200
- 400
- 401
- 403
- 404
- 409
- 422
- 500
Content type
application/json
{ }Get Scim User
Authorizations:
APIKeyHeaderHTTPBearer
path Parameters
| tenant_id required | string (Tenant Id) |
| user_id required | string (User Id) |
query Parameters
Attributes (string) or Attributes (null) (Attributes) | |
Excludedattributes (string) or Excludedattributes (null) (Excludedattributes) |
Responses
Response samples
- 200
- 400
- 401
- 403
- 404
- 409
- 422
- 500
Content type
application/json
{ }Create Scim Group
Authorizations:
APIKeyHeaderHTTPBearer
path Parameters
| tenant_id required | string (Tenant Id) |
Request Body schema: application/jsonrequired
| property name* additional property | any |
Responses
Request samples
- Payload
Content type
application/json
{ }Response samples
- 201
- 400
- 401
- 403
- 404
- 409
- 422
- 500
Content type
application/json
{ }List Scim Group
Authorizations:
APIKeyHeaderHTTPBearer
path Parameters
| tenant_id required | string (Tenant Id) |
query Parameters
| startIndex | integer (Startindex) >= 1 Default: 1 |
| count | integer (Count) [ 0 .. 100 ] Default: 100 |
Filter (string) or Filter (null) (Filter) |
Responses
Response samples
- 200
- 400
- 401
- 403
- 404
- 409
- 422
- 500
Content type
application/json
{ }Replace Scim Group
Authorizations:
APIKeyHeaderHTTPBearer
path Parameters
| tenant_id required | string (Tenant Id) |
| group_id required | string (Group Id) |
Request Body schema: application/jsonrequired
| property name* additional property | any |
Responses
Request samples
- Payload
Content type
application/json
{ }Response samples
- 200
- 400
- 401
- 403
- 404
- 409
- 422
- 500
Content type
application/json
{ }Patch Scim Group
Authorizations:
APIKeyHeaderHTTPBearer
path Parameters
| tenant_id required | string (Tenant Id) |
| group_id required | string (Group Id) |
Request Body schema: application/jsonrequired
| property name* additional property | any |
Responses
Request samples
- Payload
Content type
application/json
{ }Response samples
- 200
- 400
- 401
- 403
- 404
- 409
- 422
- 500
Content type
application/json
{ }Get Scim Group
Authorizations:
APIKeyHeaderHTTPBearer
path Parameters
| tenant_id required | string (Tenant Id) |
| group_id required | string (Group Id) |
query Parameters
Attributes (string) or Attributes (null) (Attributes) | |
Excludedattributes (string) or Excludedattributes (null) (Excludedattributes) |
Responses
Response samples
- 200
- 400
- 401
- 403
- 404
- 409
- 422
- 500
Content type
application/json
{ }Get Scim Group
Authorizations:
APIKeyHeaderHTTPBearer
path Parameters
| tenant_id required | string (Tenant Id) |
| group_id required | string (Group Id) |
query Parameters
Attributes (string) or Attributes (null) (Attributes) | |
Excludedattributes (string) or Excludedattributes (null) (Excludedattributes) |
Responses
Response samples
- 200
- 400
- 401
- 403
- 404
- 409
- 422
- 500
Content type
application/json
{ }Verify Registration
Authorizations:
APIKeyHeaderHTTPBearer
Request Body schema: application/jsonrequired
| id required | string (Id) |
| raw_id required | string (Raw Id) |
| client_data_json required | string (Client Data Json) |
| attestation_object required | string (Attestation Object) |
Array of Transports (strings) or Transports (null) (Transports) | |
AuthenticatorAttachment (string) or null | |
Name (string) or Name (null) (Name) |
Responses
Request samples
- Payload
Content type
application/json
{- "id": "string",
- "raw_id": "string",
- "client_data_json": "string",
- "attestation_object": "string",
- "transports": [
- "usb"
], - "authenticator_attachment": "platform",
- "name": "string"
}Response samples
- 200
- 422
Content type
application/json
nullAuth Options
query Parameters
| tenant_id required | string (Tenant Id) |
Request Body schema: application/jsonrequired
| username required | string (Username) |
| tenant_id required | string (Tenant Id) |
Responses
Request samples
- Payload
Content type
application/json
{- "username": "string",
- "tenant_id": "string"
}Response samples
- 200
- 422
Content type
application/json
nullVerify Auth
query Parameters
Auth Req Id (string) or Auth Req Id (null) (Auth Req Id) |
Request Body schema: application/jsonrequired
| id required | string (Id) |
| raw_id required | string (Raw Id) |
| client_data_json required | string (Client Data Json) |
| authenticator_data required | string (Authenticator Data) |
| signature required | string (Signature) |
| username required | string (Username) |
| tenant_id required | string (Tenant Id) |
User Handle (string) or User Handle (null) (User Handle) | |
AuthenticatorAttachment (string) or null |
Responses
Request samples
- Payload
Content type
application/json
{- "id": "string",
- "raw_id": "string",
- "client_data_json": "string",
- "authenticator_data": "string",
- "signature": "string",
- "username": "string",
- "tenant_id": "string",
- "user_handle": "string",
- "authenticator_attachment": "platform"
}Response samples
- 200
- 422
Content type
application/json
{- "nonce": "string",
- "need_verify": false
}